import { booleanAttribute, ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { Params, RouterLink } from '@angular/router';
import { PermissionDirective } from '../../permissions/permission.directive';

import { DropdownItemDirective } from '@coreui/angular';
import { NgTemplateOutlet } from '@angular/common';

@Component({
    selector: 'oitc-actions-button-element',
    imports: [
        RouterLink,
        PermissionDirective,
        DropdownItemDirective,
        NgTemplateOutlet
    ],
    templateUrl: './actions-button-element.component.html',
    styleUrl: './actions-button-element.component.css',
    changeDetection: ChangeDetectionStrategy.OnPush
})
export class ActionsButtonElementComponent {

    @Input({transform: booleanAttribute}) allow: boolean = true;
    @Input() url: string = '';
    @Input({required: true}) permission: string = '';
    @Input() queryParams: Params | undefined | null;

}
