import { booleanAttribute, ChangeDetectionStrategy, Component, Input } from '@angular/core';
import {
    ButtonGroupComponent,
    DropdownComponent,
    DropdownMenuDirective,
    DropdownToggleDirective
} from '@coreui/angular';
import { PermissionDirective } from '../../permissions/permission.directive';
import { Params, Router, RouterLink } from '@angular/router';

import { FaIconComponent } from "@fortawesome/angular-fontawesome";
import { XsButtonDirective } from '../../layouts/coreui/xsbutton-directive/xsbutton.directive';
import { IconProp } from '@fortawesome/fontawesome-svg-core';

@Component({
    selector: 'oitc-actions-button',
    imports: [
        ButtonGroupComponent,
        DropdownComponent,
        PermissionDirective,
        FaIconComponent,
        XsButtonDirective,
        DropdownToggleDirective,
        DropdownMenuDirective,
        RouterLink
    ],
    templateUrl: './actions-button.component.html',
    styleUrl: './actions-button.component.css',
    changeDetection: ChangeDetectionStrategy.OnPush
})
export class ActionsButtonComponent {

    @Input({transform: booleanAttribute}) allowEdit: boolean = true;
    @Input({required: false}) icon: IconProp = ['fas', 'gear'];
    @Input({required: true}) url: string = '';
    @Input({required: true}) permission: string = '';
    @Input({required: false}) style: string = 'default';
    @Input({required: false}) click: (element: any) => void = () => {
    };
    @Input({required: false}) element: any = null;
    @Input() queryParams: Params | undefined | null;

    constructor(private router: Router) {
    }

}
