import { inject, Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { PROXY_PATH } from '../../../../tokens/proxy-path.token';
import { map, Observable } from 'rxjs';
import { RotationsIndexParams, RotationsIndexRoot } from './rotations.interface';

@Injectable({
    providedIn: 'root'
})
export class RotationsService {
    private readonly http: HttpClient = inject(HttpClient);
    private readonly proxyPath: string = inject(PROXY_PATH);

    public getIndex(params: RotationsIndexParams): Observable<RotationsIndexRoot> {
        const proxyPath = this.proxyPath;
        return this.http.get<RotationsIndexRoot>(`${proxyPath}/map_module/rotations/index.json`, {
            params: params as {} // cast ContactsIndexParams into object
        }).pipe(
            map(data => {
                return data;
            })
        )
    }

}
