export interface ProfileApiRoot {
    user: ProfileUser
    maxUploadLimit: ProfileMaxUploadLimit
    _csrfToken: string
}

export interface ProfileUser {
    id: number
    username: string
    usergroup_id: number
    firstname: string
    lastname: string
    paginatorlength: number
    showstatsinmenu: boolean
    image: string | null
    dateformat: string
    timezone: string,
    password?: string | null
    confirm_password?: string | null
    created: string
    modified: string
}


export interface ProfileMaxUploadLimit {
    value: number
    unit: string
    string: string
}

export interface ProfilePasswordPost {
    current_password: string | null,
    password: string | null,
    confirm_password: string | null
}

export interface ProfileApikey {
    id: number
    userId: number
    apikey: string
    description: string
}

export interface ProfileCreateApiKey {
    apikey: string
    description: string
}
